#!/bin/bash

csf_smtp_account=`grep ^SMTP_ALLOWUSER /etc/csf/csf.conf | awk '{print $3}' | awk '{gsub(/^"|"$/, ""); print}' | tr ',' '\n' | grep -v '^cpanel$'`
cpanel_account=`whmapi1 get_disk_usage | grep user: | awk '{print $2}'`
matched_accounts="cpanel"

for csf in $csf_smtp_account; do
  if [[ "${cpanel_account[@]}" =~ "$csf" ]]; then
    #ls -ld /home/$csf

    if [[ -z $matched_accounts ]]; then
      matched_accounts=$csf
    else
      matched_accounts="$matched_accounts,$csf"
    fi

  fi
done

echo $matched_accounts
